resource "openstack_networking_network_v2" "network_internal_db" {
  name           = "${var.system_name}-db-network"
  description    = "Internal network for fake VM Networking"
  admin_state_up = "true"

  tags = [
    "app=openstack",
    "role=network",
  ]
}

resource "openstack_networking_subnet_v2" "network_subnet_internal_db" {
  name       = "${var.system_name}-db-subnet"
  network_id = openstack_networking_network_v2.network_internal_db.id
  cidr       = "192.168.2.0/24"
  no_gateway = "false"

  dns_nameservers = [  
    var.dns1,
    var.dns2,
    var.dns3,
  ]

  tags = [
    "app=openstack",
    "role=network",
  ]
}
