resource "openstack_networking_port_v2" "db_vip_port" {
  name            = "${var.system_name}-db_vip_port"
  network_id      = openstack_networking_network_v2.network_internal_db.id
  security_group_ids = [openstack_networking_secgroup_v2.secgroup_db.id]
  fixed_ip {
    subnet_id = openstack_networking_subnet_v2.network_subnet_internal_db.id
    ip_address = "${var.db_subnet}.${format("%02d", 10)}"
  }
}

resource "openstack_networking_port_v2" "db_ports" {
  count = var.db_vm_count
  name  = "${var.system_name}-db_ports-${format("%02d", count.index + 1)}"
  network_id = openstack_networking_network_v2.network_internal_db.id
  security_group_ids = [openstack_networking_secgroup_v2.secgroup_db.id]
  allowed_address_pairs {
    ip_address = openstack_networking_port_v2.db_vip_port.all_fixed_ips[0]
  }
  fixed_ip {
    subnet_id = openstack_networking_subnet_v2.network_subnet_internal_db.id
    ip_address = "${var.db_subnet}.${format("%02d", count.index + 11)}"
  }
}
