resource "openstack_networking_port_v2" "jump_ports" {
  count = var.jump_vm_count
  name  = "${var.system_name}-jump_ports-${format("%02d", count.index + 1)}"
  network_id = openstack_networking_network_v2.network_internal_app.id
  security_group_ids = [openstack_networking_secgroup_v2.secgroup_app.id]
  fixed_ip {
    subnet_id = openstack_networking_subnet_v2.network_subnet_internal_app.id
    ip_address = "${var.app_subnet}.${format("%02d", count.index + 100)}"
  }
}
