# Resources 

resource "openstack_networking_secgroup_v2" "secgroup_jump" {
  name        = "${var.system_name}-secgrp_jump"
}

resource "openstack_networking_secgroup_rule_v2" "secgroup_rule_jump_ssh_from_all" {
  direction         = "ingress"
  ethertype         = "IPv4"
  protocol          = "tcp"
  port_range_min    = 22
  port_range_max    = 22
  remote_ip_prefix  = "0.0.0.0/0"
  security_group_id = openstack_networking_secgroup_v2.secgroup_jump.id
}

# Basic Rule that allow ICMP to communicate to servers
resource "openstack_networking_secgroup_rule_v2" "secgroup_rule_jump_icmp" {
  direction         = "ingress"
  ethertype         = "IPv4"
  protocol          = "icmp"
  remote_ip_prefix  = "0.0.0.0/0"
  security_group_id = openstack_networking_secgroup_v2.secgroup_jump.id
}
