# Variables
variable "system_name" {
  type = string
  default = "example"
}

# Jump Server VM - located on App Subnet
variable "jump_vm_count" {
  type = string
  default = "1"
}
variable "flavor_jump" {
  type = string
  default = "m2a.xlarge"
}
variable "image_jump" {
  type = string
  default = "Ubuntu-22.04"
}
variable "volume_jump_os" {
  type = string
  default = "10"
}
variable "volume_jump" {
  type = string
  default = "10"
}

# VM's for Application
variable "app_vm_count" {
  type = string
  default = "3"
}
variable "flavor_app" {
  type = string
  default = "m2a.xlarge"
}
variable "image_app" {
  type = string
  default = "Ubuntu-22.04"
}
variable "volume_app_os" {
  type = string
  default = "10"
}
variable "volume_app" {
  type = string
  default = "10"
}
variable "app_subnet" {
  type = string
  default = "192.168.1"
}

# VM's for Database Cluster
variable "db_vm_count" {
  type = string
  default = "3"
}
variable "flavor_db" {
  type = string
  default = "m2a.xlarge"
}
variable "image_db" {
  type = string
  default = "Ubuntu-22.04"
}
variable "volume_db_os" {
  type = string
  default = "10"
}
variable "volume_db" {
  type = string
  default = "10"
}
variable "db_subnet" {
  type = string
  default = "192.168.2"
}

# Variables for Network Creations
variable "cloud_network" {
  type = string
  default = "PublicStatic"
}
variable "dns1" {
  type = string
  default = "1.1.1.1"
}
variable "dns2" {
  type = string
  default = "8.8.8.8"
}
variable "dns3" {
  type = string
  default = "8.8.4.4"
}

# Keypair
variable "keypair" {
  type = string
  # Configure your public key here, it should look something like this
  #default = "ssh-rsa XXXXXXXXXXXXXXXXXXXXXXXXXXXX example@example.com"
  default = "YOUR_PUBLIC_KEY_HERE"  
}
