
resource "openstack_compute_instance_v2" "server_jump" {
  count           = var.jump_vm_count
  name            = "${var.system_name}-jump-${format("%02d", count.index + 1)}"
  flavor_name     = var.flavor_jump
  key_pair        = openstack_compute_keypair_v2.key.name
  security_groups  = [openstack_networking_secgroup_v2.secgroup_jump.name]
  network {
    port = openstack_networking_port_v2.jump_ports.*.id[count.index]
  }
  block_device {
    uuid                  = data.openstack_images_image_v2.image_jump.id
    source_type           = "image"
    destination_type      = "volume"
    volume_size           = var.volume_jump_os
    boot_index            = 0
    delete_on_termination = true
  }

  scheduler_hints {
    group  = openstack_compute_servergroup_v2.jump_server_group_anti_affinity.id
  }

}

