resource "openstack_blockstorage_volume_v3" "volume_db" {
  count = length(openstack_compute_instance_v2.server_db)
  name   = "${var.system_name}-volumes-db-${format("%02d", count.index + 1)}"
  size = var.volume_db
}

resource "openstack_compute_volume_attach_v2" "volume_attach_db" {
  count = length(openstack_compute_instance_v2.server_db)
  instance_id = openstack_compute_instance_v2.server_db.*.id[count.index]
  volume_id   = openstack_blockstorage_volume_v3.volume_db.*.id[count.index]
  depends_on = [
    openstack_compute_instance_v2.server_db
  ]
}
